Name:           gnun
Version:        1.5
Release:        1%{?dist}
Summary:        "GNUnited Nations, build system for www.gnu.org translations"

License:        GPLv3+
URL:            https://www.gnu.org/software/gnun
Source0:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Source2:        keyring.gpg

# Remove shebang that would cause build failure
Patch0:         fix-shebank-link-diff.patch

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  wdiff
BuildRequires:  sharutils
BuildRequires:  gettext
BuildRequires:  po4a
BuildRequires:  cvs
BuildRequires:  git
BuildRequires:  subversion
BuildRequires:  bzr
BuildRequires:  xhtml1-dtds
# Package not available in Fedora
#BuildRequires:  mailutils
BuildRequires:  glibc-locale-source
BuildRequires:  gnupg2

# No GCC-like build happens in the build software
%global debug_package %{nil}

%description
GNUnited Nations (GNUN) is a build system for www.gnu.org translations.
It generates a PO template (.pot) for an original HTML article, and merges
the changes into all translations, which are maintained as PO (.po) files.
Finally, it regenerates the translations in HTML format.

The goal of GNUN is to make maintenance of gnu.org translations easier and
to avoid the effect of seriously outdated translations when a particular
team becomes inactive.

GNUN is pretty much tied to the layout and structure of GNU Project's
website and is not intended for use with other sites.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup

%build
%configure --enable-multiviews
%make_build

%check
make check

%install
%make_install
#/etc
rm -f %{buildroot}%{_infodir}/dir

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README THANKS
%{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}-*
%{_libexecdir}/%{name}/
%{_datadir}/%{name}/
%{_docdir}/%{name}/
%{_infodir}/*

%changelog
* Sun Apr 13 2025 Rafael Fontenelle <rafaelff@gnome.org> 1.5-1
- Update to 1.5

* Wed Mar 31 2021 Rafael Fontenelle <rafaelff@gnome.org> 1.0-1
- Initial package in version 1.0-1
